# Quick start
# Step 1: Get an API key
All requests to the Proff API are authenticated using an API key associated with your account.
If your API key has expired or exceeded its usage limit, the API will return an error message.
If you do not have an API key, contact us (opens new window).
Keep your API key secret and treat it like a password.
Do not share your API key or commit it to a Git repository.
If your API key is accidentally exposed, contact us so we can deactivate it and generate a new one.
# Step 2: Make a request to the API
We recommend using the API documentation (opens new window) to make a test request with your API key.
- Click Authorize.
- Enter
Token, followed by a space and your API key. Then click Authorize and Close.

TIP
Remember to include Token and a space before your API key:
Token YOUR_SECRET_API_KEY
The API key is not validated at this stage and is stored only in your browser.
You can now test the available endpoints and operations directly from the documentation.
- Search by company name.
Go to the RegisterCompany section and locate the following operation:
GET /api/companies/register/{country}
Click Try it out. You can now enter values for the available parameters and make a request.

The only required parameter is country. Enter NO to search for Norwegian companies.
TIP
You can use the same API and API key to search for entities in other supported countries.
If you do not specify any additional parameters, the API will return public organizations.
Find the query parameter and enter proff. The API will search registered company names and other names used by companies for marketing purposes.
Click Execute.
The response section displays the request URL and an example of how to make the same request using curl. It also shows the HTTP status code and, if your API key is valid, the response returned by the API.

Congratulations! You have made your first request to the Proff API.
The next step is to make the request from an application.
# Step 3: Make a request from an application
How you make a request to the Proff API from an application depends on your programming language and HTTP library.
The following example uses JavaScript with Node.js and Axios:
const axios = require('axios');
// Your API key
const API_KEY = process.env.API_KEY;
// Use any HTTP client you prefer
const httpClient = axios.create({
baseURL: 'https://api.proff.no/api/companies/register/NO',
headers: {
Authorization: `Token ${API_KEY}`
},
responseType: 'json'
});
(async () => {
const response = await httpClient.get('?query=proff');
response.data.companies.forEach(company => {
console.log(company.name);
});
})();
Run the application using your API key:
API_KEY='<YOUR_SECRET_API_KEY>' node search.js
Example response:
PROFF AS
PROFF LYDUTLEIE Arne Grimstad
PROFF NAPRAPATI BENT HALDEN JØRGENSEN
ANDRIUS PROFF BYGG ANDRIUS JASINSKAS
...